/// Enum representing the type of an item.
///
/// This enum is used throughout the application to differentiate between different types of items.
/// Currently, it includes two types: IMAGE and TEXT.
enum ItemType {
  /// Represents an image item.
  ///
  /// This type is used when the item to be manipulated or displayed is an image.
  IMAGE,

  /// Represents a text item.
  ///
  /// This type is used when the item to be manipulated or displayed is a text.
  TEXT,
}
